# -*- coding: utf-8 -*-

# PLEASE DO NOT EDIT THIS FILE, IT IS GENERATED AND WILL BE OVERWRITTEN:
# https://github.com/ccxt/ccxt/blob/master/CONTRIBUTING.md#how-to-contribute-code

import ccxt.async_support


class cube(ccxt.async_support.cube):

    def describe(self):
        return self.deep_extend(super(cube, self).describe(), {
            'has': {
                'ws': False,
                'watchBalance': False,
                'watchMyTrades': False,
                'watchOHLCV': False,
                'watchOrderBook': False,
                'watchOrders': False,
                'watchTicker': False,
                'watchTrades': False,
            },
            'options': {
                'api': {
                    'ws': {
                        'mendelev': {
                            'public': {
                                'orderbook': '/book/{marketId}',
                                'orderbookTops': '/tops',
                            },
                        },
                        'os': {
                            'private': {
                                'root': '/',
                            },
                        },
                    },
                },
            },
        })

    def get_websocket_url(self, system: str, privacy: str, path: str, params={}):
        environment = self.options['environment']
        path = self.implode_params(path, params)
        return self.urls['api']['ws'][environment][system] + self.options['api']['ws'][environment][privacy][path]
